﻿<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output
    method="html"
    version="4.01"
    encoding="utf-8"
    indent="yes"
    doctype-public="-//W3C//DTD HTML 4.01//EN"
    doctype-system="http://www.w3.org/TR/html4/strict.dtd"
  />
  <xsl:template match="privatemessages">
    <html lang="en">
      <head>
        <title>vBulletin Private Message Archive</title>
        <style type="text/css"> 
          html
          {
            padding: 0;
            background: white;
            border-left: 10px solid gray;
            font: 14pt Helvetica, Tahoma, sans-serif;
            color: #444;
          }
          
          body
          {
            margin: 0;
            padding: 10px;
          }
          
          a, a:visited
          {
            color: #00f;
          }
          
          a:hover
          {
            color: #f00;
          }
          
          #first
          {
            margin-top: 0;
            font-size: 0.8em;
          }
          
          h1
          {
            font-size: 1.5em;
          }
          
          h2
          {
            border: 1px solid gray;
            padding: 5px;
            background: #eee;
            font-size: 1em;
          }
          
          h3
          {
            font-size: 0.9em;
          }
          
          .to-from
          {
            font-weight: normal;
          }
          
          .message-header
          {
            background: #eee;
            padding: 0;
          }
          
          .message-header p
          {
            margin: 0;
          }
          
          .message p
          {
            font-size: 0.85em;
            white-space: pre;
            word-wrap: break-word;
          }
          
          .message-body, .folder-body
          {
            padding-left: 1ex;
            border-top: none;
            border-bottom: none;
            border-left: 1px dotted gray;
            /*display: none;*/
          }
          
          .post-bottom
          {
            border-top: 1px dotted gray;
            padding-top: 0.5em;
            font-size: 0.7em;
            text-align: right;
            white-space: normal !important;
          }
          
          .toggle
          {
            display: block;
            float: left;
            margin-right: 1ex;
            text-decoration: none;
            height: 1em;
            width: 1em;
            text-align: center;
            border: 1px solid gray;
          }
          
          div
          {
            border-top: 1px solid gray;
            padding-top: 5px;
          }
        </style>
        <script type="text/javascript">
        /* <![CDATA[ */
          function toggle(messageElement, toggleElement)
          {
            var msg = document.getElementById(messageElement);
            var toggle = document.getElementById(toggleElement);
            if (msg.style.display == 'none') {
              msg.style.display = 'block';
              toggle.innerText = '-';
            }
            else {
              msg.style.display = 'none';
              toggle.innerText = '+';
            }
          }
          
          function expandAll()
          {
            var divs = document.getElementsByTagName('div');
            var links = document.getElementsByTagName('a');
            
            for (var i = 0; i < divs.length; i++) {
              if (
                divs[i].className == 'folder-body' ||
                divs[i].className == 'message-body'
              ) {
                divs[i].style.display = 'block';
              }
            }
            
            for (i = 0; i < links.length; i++) {
              if (links[i].className == 'toggle') {
                links[i].innerText = '-';
              }
            }
          }
          
          function contractAll()
          {
            var divs = document.getElementsByTagName('div');
            var links = document.getElementsByTagName('a');
            
            for (var i = 0; i < divs.length; i++) {
              if (
                divs[i].className == 'folder-body' ||
                divs[i].className == 'message-body'
              ) {
                divs[i].style.display = 'none';
              }
            }
            
            for (i = 0; i < links.length; i++) {
              if (links[i].className == 'toggle') {
                links[i].innerText = '+';
              }
            }
          }
          /* ]]> */
        </script>
      </head>
      <body>
        <h1 id="top">Private Message Archive</h1>
        <p>
          [ <a href="javascript:expandAll()">Expand All</a> ]
          [ <a href="javascript:contractAll()">Contract All</a> ]
        </p>
        <xsl:for-each select="folder">
          <div class="folder">
            <xsl:variable name="folder-name" select="translate(normalize-space(@name),' ','')" />
            <h2>
              <a  
                class="toggle"
                id="toggle{$folder-name}"
                href="javascript:toggle('folder{$folder-name}', 'toggle{$folder-name}')"
              >-</a>
              <xsl:value-of select="@name" />
            </h2>
            <div class="folder-body" id="folder{$folder-name}">
              <xsl:for-each select="privatemessage">
                <div class="message">
                  <xsl:variable name="message-name" select="generate-id()" />
                  <h3>
                    <a
                      class="toggle"
                      id="toggle{$message-name}"
                      href="javascript:toggle('message{$message-name}', 'toggle{$message-name}')"
                    >-</a>
                    &quot;<xsl:value-of select="title" />&quot;
                    <span class="to-from">
                      <xsl:choose>
                        <xsl:when test="$folder-name = 'SentItems'">
                          (to <em><xsl:value-of select="touser" /></em>)
                        </xsl:when>
                        <xsl:when test="$folder-name = 'Inbox'">
                          (from <em><xsl:value-of select="fromuser" /></em>)
                        </xsl:when>
                        <xsl:otherwise>
                          (from <em><xsl:value-of select="fromuser" /></em> to <em><xsl:value-of select="touser" /></em>)
                        </xsl:otherwise>
                      </xsl:choose>
                    </span>
                  </h3>
                  <div class="message-body" id="message{$message-name}">
                    <div class="message-header">
                      <p><strong>From </strong><em><xsl:value-of select="fromuser" /></em><strong> to </strong><em><xsl:value-of select="touser" /></em></p>
                      <p><strong>Date: </strong><xsl:value-of select="datestamp" /></p>
                    </div>
                    <p><xsl:value-of select="message" /></p>
                    <p class="post-bottom">
                      <a href="javascript:toggle('message{$message-name}', 'toggle{$message-name}')">Close</a> |
                      <a href="#top">Top</a>
                    </p>
                  </div>
                </div>
              </xsl:for-each>
            </div>
          </div>
        </xsl:for-each>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>