﻿<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output
    method="xml"
    version="1.0"
    omit-xml-declaration="yes"
    encoding="utf-8"
    indent="yes"
    doctype-public="-//W3C/DTD XHTML 1.1//EN"
    doctype-system="http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd" 
  />
  <xsl:template match="privatemessages">
    <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
      <head>
        <title>vBulletin Private Message Archive</title>
        <style type="text/css"> 
          html
          {
            padding: 0;
            background: white;
            border-left: 10px solid gray;
            font: 14pt Helvetica, Tahoma, sans-serif;
            color: #444;
          }
          
          body
          {
            margin: 0;
            padding: 10px;
          }
          
          a, a:visited
          {
            color: #00f;
          }
          
          a:hover
          {
            color: #f00;
          }
          
          #first
          {
            margin-top: 0;
            font-size: 0.8em;
          }
          
          h1
          {
            font-size: 1.5em;
          }
          
          #quick-links
          {
            position: fixed;
            top: 0;
            right: 0;
            margin: 0;
            padding: 5px;
            border-left: 1px solid gray;
            border-bottom: 1px solid gray;
            background: #eee;
          }
          
          h2
          {
            border: 1px solid gray;
            padding: 5px;
            background: #eee;
            font-size: 1em;
          }
          
          h3
          {
            font-size: 0.9em;
          }
          
          .to-from
          {
            font-weight: normal;
          }
          
          .message-header
          {
            background: #eee;
            padding: 0;
          }
          
          .message-header p
          {
            margin: 0;
          }
          
          .message p
          {
            font-size: 0.85em;
            white-space: pre-wrap;
            white-space: -moz-pre-wrap;
          }
          
          .message-body, .folder-body
          {
            padding-left: 1ex;
            border-top: none;
            border-bottom: none;
            border-left: 1px dotted gray;
            display: none;
          }
          
          .post-bottom
          {
            border-top: 1px dotted gray;
            padding-top: 0.5em;
            font-size: 0.7em;
            text-align: right;
            white-space: normal !important;
          }
          
          .toggle
          {
            display: block;
            float: left;
            margin-right: 1ex;
            text-decoration: none;
            height: 1em;
            width: 1em;
            text-align: center;
            border: 1px solid gray;
            background: url(
              'data:image/png,%89PNG%0D%0A%1A%0A%00%00%00%0DIHDR%00%00%00%0B%00%00%00%0B%08%06%00%00%00%A9%ACw%26%00%00%00%04gAMA%00%00%AF%C87%05%8A%E9%00%00%00%19tEXtSoftware%00Adobe%20ImageReadyq%C9e%3C%00%00%00%8CIDATx%DAb%FC%FF%FF%3F%032hh%60%F8%FF%F0!%03%83%B77%03CH%08%03%23%8A%24H1264%04%E9%FE%FF%BF%A2%E2%FF%7Ft9%26%06%12%00I%8AY%9A%9B%19%FE%9F%3B%87%10%B8%7F%1FB%AF%5B%C7%C0p%E3%06%03%DCC%C9%C9%40%C2%C3%03%E2FBx%C2%84%FF%FFY%5C%5D%19%18%24%24%10%26o%DE%CC%C0%F0%F6-%03%83%AE.%03%83%B11B%5CKk%F0%84%06%BA%40t4%03%83%BD%3D%03%83%8D%0D%A6b%80%00%03%00!on%FF7%7C%F5%FC%00%00%00%00IEND%AEB%60%82'
            ) center no-repeat;
          }
          
          div
          {
            border-top: 1px solid gray;
            padding-top: 5px;
          }
        </style>
        <script type="text/javascript">
          /* <![CDATA[ */
          function toggle(messageElement, toggleElement)
          {
            var msg = document.getElementById(messageElement);
            var toggle = document.getElementById(toggleElement);
            if (msg.style.display == 'block') {
              msg.style.display = 'none';
              toggle.style.background = "url('data:image/png,%89PNG%0D%0A%1A%0A%00%00%00%0DIHDR%00%00%00%0B%00%00%00%0B%08%06%00%00%00%A9%ACw%26%00%00%00%04gAMA%00%00%AF%C87%05%8A%E9%00%00%00%19tEXtSoftware%00Adobe%20ImageReadyq%C9e%3C%00%00%00%8CIDATx%DAb%FC%FF%FF%3F%032hh%60%F8%FF%F0!%03%83%B77%03CH%08%03%23%8A%24H1264%04%E9%FE%FF%BF%A2%E2%FF%7Ft9%26%06%12%00I%8AY%9A%9B%19%FE%9F%3B%87%10%B8%7F%1FB%AF%5B%C7%C0p%E3%06%03%DCC%C9%C9%40%C2%C3%03%E2FBx%C2%84%FF%FFY%5C%5D%19%18%24%24%10%26o%DE%CC%C0%F0%F6-%03%83%AE.%03%83%B11B%5CKk%F0%84%06%BA%40t4%03%83%BD%3D%03%83%8D%0D%A6b%80%00%03%00!on%FF7%7C%F5%FC%00%00%00%00IEND%AEB%60%82') center no-repeat";
            }
            else {
              msg.style.display = 'block';
              toggle.style.background = "url('data:image/png,%89PNG%0D%0A%1A%0A%00%00%00%0DIHDR%00%00%00%0B%00%00%00%0B%08%06%00%00%00%A9%ACw%26%00%00%00%04gAMA%00%00%AF%C87%05%8A%E9%00%00%00%19tEXtSoftware%00Adobe%20ImageReadyq%C9e%3C%00%00%003IDATx%DAb%FC%FF%FF%3F%03%B1%80%89%81%04%40%07%C5%8C%8C%0C%FF%B1a%19%19%86%FFd%99%CC%02c%18%18%60W%20%26%86%603%0E%C1%A0%03%080%00%98%88%0D%DA%1A%7BZ%3A%00%00%00%00IEND%AEB%60%82') center no-repeat";
            }
          }
          
          function expandAll()
          {
            var divs = document.getElementsByTagName('div');
            var links = document.getElementsByTagName('a');
            
            for (var i = 0; i < divs.length; i++) {
              if (
                divs[i].className == 'folder-body' ||
                divs[i].className == 'message-body'
              ) {
                divs[i].style.display = 'block';
              }
            }
            
            for (i = 0; i < links.length; i++) {
              if (links[i].className == 'toggle') {
                links[i].style.background = "url('data:image/png,%89PNG%0D%0A%1A%0A%00%00%00%0DIHDR%00%00%00%0B%00%00%00%0B%08%06%00%00%00%A9%ACw%26%00%00%00%04gAMA%00%00%AF%C87%05%8A%E9%00%00%00%19tEXtSoftware%00Adobe%20ImageReadyq%C9e%3C%00%00%003IDATx%DAb%FC%FF%FF%3F%03%B1%80%89%81%04%40%07%C5%8C%8C%0C%FF%B1a%19%19%86%FFd%99%CC%02c%18%18%60W%20%26%86%603%0E%C1%A0%03%080%00%98%88%0D%DA%1A%7BZ%3A%00%00%00%00IEND%AEB%60%82') center no-repeat";
              }
            }
          }
          
          function contractAll()
          {
            var divs = document.getElementsByTagName('div');
            var links = document.getElementsByTagName('a');
            
            for (var i = 0; i < divs.length; i++) {
              if (
                divs[i].className == 'folder-body' ||
                divs[i].className == 'message-body'
              ) {
                divs[i].style.display = 'none';
              }
            }
            
            for (i = 0; i < links.length; i++) {
              if (links[i].className == 'toggle') {
                links[i].style.background = "url('data:image/png,%89PNG%0D%0A%1A%0A%00%00%00%0DIHDR%00%00%00%0B%00%00%00%0B%08%06%00%00%00%A9%ACw%26%00%00%00%04gAMA%00%00%AF%C87%05%8A%E9%00%00%00%19tEXtSoftware%00Adobe%20ImageReadyq%C9e%3C%00%00%00%8CIDATx%DAb%FC%FF%FF%3F%032hh%60%F8%FF%F0!%03%83%B77%03CH%08%03%23%8A%24H1264%04%E9%FE%FF%BF%A2%E2%FF%7Ft9%26%06%12%00I%8AY%9A%9B%19%FE%9F%3B%87%10%B8%7F%1FB%AF%5B%C7%C0p%E3%06%03%DCC%C9%C9%40%C2%C3%03%E2FBx%C2%84%FF%FFY%5C%5D%19%18%24%24%10%26o%DE%CC%C0%F0%F6-%03%83%AE.%03%83%B11B%5CKk%F0%84%06%BA%40t4%03%83%BD%3D%03%83%8D%0D%A6b%80%00%03%00!on%FF7%7C%F5%FC%00%00%00%00IEND%AEB%60%82') center no-repeat";
              }
            }
          }
          
          window.onload = contractAll;
          /* ]]> */
        </script>
      </head>
      <body>
        <h1 id="top">Private Message Archive</h1>
        <p>
          [ <a href="javascript:expandAll()">Expand All</a> ]
          [ <a href="javascript:contractAll()">Contract All</a> ]
        </p>
        <p id="quick-links">
          <a href="javascript:expandAll()">Expand All</a> |
          <a href="javascript:contractAll()">Contract All</a> |
          <a href="#top">Top</a>
        </p>
        <xsl:for-each select="folder">
          <div class="folder">
            <xsl:variable name="folder-name" select="translate(normalize-space(@name),' ','')" />
            <h2>
              <a  
                class="toggle"
                id="toggle{$folder-name}"
                href="javascript:toggle('folder{$folder-name}', 'toggle{$folder-name}')"
              />
              <xsl:value-of select="@name" />
            </h2>
            <div class="folder-body" id="folder{$folder-name}">
              <xsl:for-each select="privatemessage">
                <div class="message">
                  <xsl:variable name="message-name" select="generate-id()" />
                  <h3>
                    <a
                      class="toggle"
                      id="toggle{$message-name}"
                      href="javascript:toggle('message{$message-name}', 'toggle{$message-name}')"
                    />
                    &quot;<xsl:value-of select="title" />&quot;
                    <span class="to-from">
                      <xsl:choose>
                        <xsl:when test="$folder-name = 'SentItems'">
                          (to <em><xsl:value-of select="touser" /></em>)
                        </xsl:when>
                        <xsl:when test="$folder-name = 'Inbox'">
                          (from <em><xsl:value-of select="fromuser" /></em>)
                        </xsl:when>
                        <xsl:otherwise>
                          (from <em><xsl:value-of select="fromuser" /></em> to <em><xsl:value-of select="touser" /></em>)
                        </xsl:otherwise>
                      </xsl:choose>
                    </span>
                  </h3>
                  <div class="message-body" id="message{$message-name}">
                    <div class="message-header">
                      <p><strong>From </strong><em><xsl:value-of select="fromuser" /></em><strong> to </strong><em><xsl:value-of select="touser" /></em></p>
                      <p><strong>Date: </strong><xsl:value-of select="datestamp" /></p>
                    </div>
                    <p><xsl:value-of select="message" /></p>
                    <p class="post-bottom">
                      <a href="javascript:toggle('message{$message-name}', 'toggle{$message-name}')">Close</a> |
                      <a href="#top">Top</a>
                    </p>
                  </div>
                </div>
              </xsl:for-each>
            </div>
          </div>
        </xsl:for-each>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>